DrawRDBForeignKeyVertex
Keywords: uk.ac.ic.doc.automed.editor.drawables.DrawRDBForeignKeyVertex class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor.drawables
Class DrawRDBForeignKeyVertex

    java.lang.Object
      uk.ac.ic.doc.automed.editor.DrawVertex
          uk.ac.ic.doc.automed.editor.DefaultDrawConstraintVertex
              uk.ac.ic.doc.automed.editor.drawables.DrawRDBForeignKeyVertex

All Implemented Interfaces:
  Drawable, DrawableVertex

Direct Known Subclasses:
  DrawRDBPrimaryKeyVertex

    public class DrawRDBForeignKeyVertex

extends DefaultDrawConstraintVertex

Field Summary
`protected java.lang.String` | `keyName`

Fields inherited from class uk.ac.ic.doc.automed.editor.DrawVertex
`bounds, dashedStroke, dependent, ep, fm, p, standardStroke, symbolHeight, symbolWidth, text, textHeight, textWidth, thickness, xInset, yInset, zeroOffset`

Constructor Summary
`DrawRDBForeignKeyVertex(EditorPanel ep, Positionable p, Positionable[] d)`

Method Summary
`java.awt.Point` | `getConnectionPoint(java.awt.Point other)` Calculate the `Point` where a `DrawableArc` connecting to this `DrawableVertex` should be drawn to, no
`void` | `paintComponent(java.awt.Graphics2D g)` Modify the basic drawing of arcs to set the arc colour based on the foreground colour of the first positionable connected
`void` | `paintSymbol(java.awt.Graphics2D g)` Draw a rounded box to represent a constraint
`void` | `paintText(java.awt.Graphics2D g)`

Methods inherited from class uk.ac.ic.doc.automed.editor.DefaultDrawConstraintVertex
`getBounds`

Methods inherited from class uk.ac.ic.doc.automed.editor.DrawVertex
`getCentre, getCentreOffset, getConnectionPointMovableCentre, getConnectsTo, getPositionable, intersectLine, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyName

    protected java.lang.String keyName

Constructor Detail

### DrawRDBForeignKeyVertex

    public DrawRDBForeignKeyVertex(EditorPanel ep,
                                   Positionable p,
                                   Positionable[] d)

Method Detail

### paintComponent

    public void paintComponent(java.awt.Graphics2D g)

  Modify the basic drawing of arcs to set the arc colour based on the foreground colour of the first positionable connected

  Specified by:
    `paintComponent` in interface `Drawable`
  Overrides:
    `paintComponent` in class `DrawVertex`

### paintSymbol

    public void paintSymbol(java.awt.Graphics2D g)

  Description copied from class: `DefaultDrawConstraintVertex`
  Draw a rounded box to represent a constraint

  Overrides:
    `paintSymbol` in class `DefaultDrawConstraintVertex`

### paintText

    public void paintText(java.awt.Graphics2D g)

  Overrides:
    `paintText` in class `DrawVertex`

### getConnectionPoint

    public java.awt.Point getConnectionPoint(java.awt.Point other)

  Description copied from interface: `DrawableVertex`
  Calculate the `Point` where a `DrawableArc` connecting to this `DrawableVertex` should be drawn to, no

  Specified by:
    `getConnectionPoint` in interface `DrawableVertex`
  Overrides:
    `getConnectionPoint` in class `DefaultDrawConstraintVertex`
  Returns:
    Point

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD